Private Endpoint Connections - Delete
Disconnects the private endpoint connection and deletes it from the search service. Returns 200 (OK) with the deleted connection details on successful deletion, or 404 (Not Found) if the connection does not exist. NOTE: The behavior of returning 404 is inconsistent with ARM guidelines. Clients should expect a 204 response in future versions and avoid new dependencies on the 404 response.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2026-03-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
private
|
path | True |
string |
The name of the private endpoint connection to the Azure AI Search service with the specified resource group. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
search
|
path | True |
string pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$ |
The name of the Azure AI Search service associated with the specified resource group. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
A client-generated GUID value that identifies this request. If specified, this will be included in response information as a way to track the request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| 404 Not Found |
The server cannot find the requested resource. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
PrivateEndpointConnectionDelete
Sample request
DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/privateEndpointConnections/testEndpoint.50bf4fbe-d7c1-4b48-a642-4f5892642546?api-version=2026-03-01-preview
Sample response
{
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/privateEndpointConnections/testEndpoint.50bf4fbe-d7c1-4b48-a642-4f5892642546",
"name": "testEndpoint.50bf4fbe-d7c1-4b48-a642-4f5892642546",
"type": "Microsoft.Search/searchServices/privateEndpointConnections",
"properties": {
"privateEndpoint": {
"id": "/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/privateEndpoints/testEndpoint"
},
"privateLinkServiceConnectionState": {
"status": "Disconnected",
"description": "",
"actionsRequired": "None"
}
}
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
Contains information about an API error. |
|
Cloud |
Describes a particular API error with an error code and a message. |
|
created |
The type of identity that created the resource. |
|
Private |
Describes an existing private endpoint connection to the Azure AI Search service. |
|
Private |
Describes the properties of an existing private endpoint connection to the search service. |
|
Private |
The private endpoint resource from Microsoft.Network provider. |
|
Private |
Describes the current state of an existing Azure Private Link service connection to the private endpoint. |
|
Private |
The provisioning state of the private link service connection. Valid values are Updating, Deleting, Failed, Succeeded, Incomplete, or Canceled. |
|
Private |
Status of the the private link service connection. Valid values are Pending, Approved, Rejected, or Disconnected. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
CloudError
Contains information about an API error.
| Name | Type | Description |
|---|---|---|
| error |
Describes a particular API error with an error code and a message. |
|
| message |
string |
A brief description of the error that hints at what went wrong (for details/debugging information refer to the 'error.message' property). |
CloudErrorBody
Describes a particular API error with an error code and a message.
| Name | Type | Description |
|---|---|---|
| code |
string |
An error code that describes the error condition more precisely than an HTTP status code. Can be used to programmatically handle specific error cases. |
| details |
Contains nested errors that are related to this error. |
|
| message |
string |
A message that describes the error in detail and provides debugging information. |
| target |
string |
The target of the particular error (for example, the name of the property in error). |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
PrivateEndpointConnection
Describes an existing private endpoint connection to the Azure AI Search service.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties |
Describes the properties of an existing private endpoint connection to the Azure AI Search service. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
PrivateEndpointConnectionProperties
Describes the properties of an existing private endpoint connection to the search service.
| Name | Type | Description |
|---|---|---|
| groupId |
string |
The group ID of the Azure resource for which the private link service is for. |
| privateEndpoint |
The private endpoint resource from Microsoft.Network provider. |
|
| privateLinkServiceConnectionState |
Private |
Describes the current state of an existing Azure Private Link service connection to the private endpoint. |
| provisioningState |
The provisioning state of the private link service connection. Valid values are Updating, Deleting, Failed, Succeeded, Incomplete, or Canceled. |
PrivateEndpointConnectionPropertiesPrivateEndpoint
The private endpoint resource from Microsoft.Network provider.
| Name | Type | Description |
|---|---|---|
| id |
string |
The resource ID of the private endpoint resource from Microsoft.Network provider. |
PrivateEndpointConnectionPropertiesPrivateLinkServiceConnectionState
Describes the current state of an existing Azure Private Link service connection to the private endpoint.
| Name | Type | Default value | Description |
|---|---|---|---|
| actionsRequired |
string |
None |
A description of any extra actions that may be required. |
| description |
string |
The description for the private link service connection state. |
|
| status |
Status of the the private link service connection. Valid values are Pending, Approved, Rejected, or Disconnected. |
PrivateLinkServiceConnectionProvisioningState
The provisioning state of the private link service connection. Valid values are Updating, Deleting, Failed, Succeeded, Incomplete, or Canceled.
| Value | Description |
|---|---|
| Updating |
The private link service connection is in the process of being created along with other resources for it to be fully functional. |
| Deleting |
The private link service connection is in the process of being deleted. |
| Failed |
The private link service connection has failed to be provisioned or deleted. |
| Succeeded |
The private link service connection has finished provisioning and is ready for approval. |
| Incomplete |
Provisioning request for the private link service connection resource has been accepted but the process of creation has not commenced yet. |
| Canceled |
Provisioning request for the private link service connection resource has been canceled. |
PrivateLinkServiceConnectionStatus
Status of the the private link service connection. Valid values are Pending, Approved, Rejected, or Disconnected.
| Value | Description |
|---|---|
| Pending |
The private endpoint connection has been created and is pending approval. |
| Approved |
The private endpoint connection is approved and is ready for use. |
| Rejected |
The private endpoint connection has been rejected and cannot be used. |
| Disconnected |
The private endpoint connection has been removed from the service. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |